{
  "name": "generated-swagger-eis-api",
  "$schema": "../../../node_modules/nx/schemas/project-schema.json",
  "sourceRoot": "generated/swagger/eis-api/src",
  "prefix": "lib",
  "projectType": "library",
  "tags": ["generated","swagger","eis", "api"],
  "targets": {
    "download": {
      "command": "curl -o {projectRoot}/swagger.json https://filialinformationsystem-test.paragon-systems.de/eiswebapi/v1/swagger.json"
    },
    "generate": {
      "command": "ng-swagger-gen --config {projectRoot}/ng-swagger-gen.json --output {projectRoot}/src --swagger {projectRoot}/swagger.json",
      "inputs": [
        "^production",
        "{projectRoot}/swagger.json",
        "{projectRoot}/ng-swagger-gen.json",
        "!{projectRoot}/src/**/*.ts"
      ],
      "outputs": ["{projectRoot}/src"],
      "dependsOn": ["download"],
      "cache": false
    }
  }
}
